it.reply.healty.innovapuglia.mstaccuino.database.repository

## Interface ModalitaRilevazioneRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<ModalitaRilevazione,String>, org.springframework.data.jpa.repository.JpaRepository<ModalitaRilevazione,String>, org.springframework.data.repository.PagingAndSortingRepository<ModalitaRilevazione,String>, org.springframework.data.repository.query.QueryByExampleExecutor<ModalitaRilevazione>, org.springframework.data.repository.Repository<ModalitaRilevazione,String>

      @Repository
      public interface ModalitaRilevazioneRepository
      extends org.springframework.data.jpa.repository.JpaRepository<ModalitaRilevazione,String>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ModalitaRilevazione>` | `findAllActive()` Recupera i ModalitaRilevazione attivi.
    `ModalitaRilevazione` | `findOneActiveById(String id)` Retrieves an active ModalitaRilevazione by its ID.

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, getReferenceById, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### findAllActive

          @Query(value="FROM ModalitaRilevazione t WHERE t.attivo = true")
          List<ModalitaRilevazione> findAllActive()

      Recupera i ModalitaRilevazione attivi.
      Returns:
        L'elenco dei ModalitaRilevazione attivi.

    - #### findOneActiveById

          @Query(value="FROM ModalitaRilevazione m WHERE m.id = :id AND m.attivo = true")
          ModalitaRilevazione findOneActiveById(@Param(value="id")
                                                                                                                                 String id)

      Retrieves an active ModalitaRilevazione by its ID.
      Parameters:
        `id` - the identifier of the active ModalitaRilevazione
      Returns:
        the active ModalitaRilevazione, or null if not found

Copyright © 2024. All rights reserved.